<?php    

namespace Concrete\Package\GroupTextPro\Block\GroupTextPro;
use \Concrete\Core\Block\BlockController;
use Loader;
use Config;
use Page;
use View;

defined('C5_EXECUTE') or die(_("Access Denied.")); 

class Controller extends BlockController { 

	public $helpers = array('form');

	protected $btTable = 'btGroupTextPro';
	protected $btInterfaceWidth = "500";
	protected $btInterfaceHeight = "350"; 
		 
	public function getDefaultDetails(){
		$details=array();
		return $details;
	}
	
	public function getBlockTypeDescription() {
		return t("Add an GroupTextPro signup form");
	}
	
	public function getBlockTypeName() {
		return t("GroupTextPro Signup Form");
	}
	
    public function __construct($b = null) {
        parent::__construct($b);
    }
    
	public function getJavaScriptStrings() {
		return array();
	} 
    
    public function getArgsToPassDown() {
        $c = Page::getCurrentPage();
        $this->set('groups',$this->getAllGroups());        
        $args['bID'] = $this->bID;
    }
    
	public function save($args) { 
		$db = Loader::db();  
        $api = \Core::make('grouptextpro/api');
        
        // get the Groups cache data
        $selIDs = explode(",",$args['groupIDs']);
        if(count($selIDs)) {
            $json = $api->groups_list();
            $groups = $json->groups;
            foreach($groups AS $group) {
                if(in_array($group->id,$selIDs)) {
                    $selGroups[$group->id] = $group->name;
                }
                $args['groupsCache'] = serialize($selGroups);
            }
        } else {
            $args['groupsCache'] = "";
        }
        $args['groupsCacheDate'] = date("Y-m-d H:i:s");
				
		parent::save($args); 
	} 
    
    function getAllGroups() {
        $api = \Core::make('grouptextpro/api');
        $json = $api->groups_list();
        return $json->groups;        
    }
    
    function getSelectedGroups() {
        $cacheDate = strtotime($this->groupsCacheDate);
        if($cacheDate > strtotime("-7 day")) {
            $this->groups = unserialize($this->groupsCache);
        } else {
            $groups = array();
            $allGroups = \Core::make('grouptextpro/api')->groups_list()->groups;
            $selIDs = explode(",",$this->groupIDs);
            //var_dump($selIDs); var_dump($allGroups); exit;
            foreach($allGroups AS $thisGroup) {
                if(in_array($thisGroup->id,$selIDs)) {
                    $groups[$thisGroup->id] = $thisGroup->name;
                }
            }
            $this->groups = $groups;
            parent::save(array(
                'groupsChoose'=>$this->groupsChoose,
                'groupIDs'=>$this->groupIDs,
                'thankYou'=>$this->thankYou,
                'groupsCache'=>serialize($groups),
                'groupsCacheDate'=>date("Y-m-d H:i:s"),
            ));
        }
        return $this->groups;
    }
    
    function add() {
        $this->getArgsToPassDown();
    }
    
    function edit() {
        $this->getArgsToPassDown();
    }
    
    function view() {
        // send groups list down, if needed
        if($this->groupsChoose) {
            $this->set('selectedGroups',$this->getSelectedGroups());            
        }
    }
    
}
