<?php  
    defined('C5_EXECUTE') or die("Access Denied.");

    $gtp->outputDashboardStatusBar();
    
    $gtpC = $gtp->getCustomer();
    $gtpU = $gtp->getUser();
    $card = $gtpC->card;

?>

    <div class="row">
        <div class="col-sm-8">
            <p><?php  echo t('Manage your account right here.'); ?></p>
        </div>
    </div>

    <table class="table">
        <tr>
            <td><strong><?php  echo t('Plan'); ?></strong></td>
            <?php  if($plan->is->trial) { ?>
            <td colspan="2">
                <?php  if($gtpC->is->trialOver) { ?>
                <p><?php  echo t('%sYour trial has expired!%sActivate your account to unleash the full power of Group Text Pro!','<strong>','<strong><br />'); ?></p>
                <?php  } else { ?>
                <p><?php  echo t('%sWe hope you are enjoying your trial.%sActivate your account to unleash the full power of Group Text Pro!','<strong>','</strong><br />'); ?></p>
                <p><?php  echo t('%sWe hope you are enjoying your trial.%sActivate your account to unleash the full power of Group Text Pro!','<strong>','</strong><br />'); ?></p>
                <?php  } ?>
                <p><a class="btn btn-success" href="<?php  echo $gtpU->url->activate; ?>"><?php  echo t('Activate Your Account'); ?></a></p>
            </td>                
            <?php  } else { ?>
            <td>
                <?php  if($plan->is->canceled) { ?>
                <p><?php  echo t('Your plan is canceled.'); ?></p>
                <?php  } else { ?>
                <p>$<?php  echo $plan->cost->perMonth; ?>/<?php  echo t('month'); ?><br />
                    <?php  echo $plan->num->textsIncluded; ?> <?php  echo t('texts included'); ?><br />
                    <?php  $msg = "Incoming texts " . ($plan->includes->incoming?'':'not ') . 'included'; echo t($msg); ?><br />
                    <?php  echo t('Additional texts are %s cents',$plan->cost->additionalTextsCents); ?>
                </p>
                <p>
                    <?php  
                    /** texts sent this month **/
                    if($gtpC->num->sendsThisMonth<>1) {
                        $msg = t("%sYou have sent %s texts so far this month.%s","<strong>",$gtpC->num->sendsThisMonth,"</strong>");
                    } else {
                        $msg = t("%sYou have sent %s text so far this month.%s","<strong>",$gtpC->num->sendsThisMonth,"</strong>");
                    }
                    echo t($msg);

                    /** texts sent last month **/
                    if($gtpC->num->sendsLastMonth<>1) {
                        $msg = t("%sYou sent %s texts last month.","<br />",$gtpC->num->sendsLastMonth);
                    } else {
                        $msg = t("%sYou sent %s text last month.","<br />",$gtpC->num->sendsLastMonth);
                    }
                    echo t($msg);
                    }
                ?>
                </p>
            </td>
            <td>
                <?php  if($plan->is->canceled) { ?>
                <button class="btn btn-success" onclick="window.location.href='<?php  echo $view->action('plans'); ?>';"><?php  echo t('Reactivate Account'); ?></button>
                <?php  } else { ?>
                <button class="btn btn-primary" onclick="window.location.href='<?php  echo $view->action('plans'); ?>';"><?php  echo t('Change Plan'); ?></button>
                <button class="btn btn-danger" onclick="planCancel();"><?php  echo t('Cancel Account'); ?></button>
                <?php  } ?>
            </td>
            <?php  } ?>
        </tr>
        <tr>
            <td><strong><?php  echo t('Details'); ?></strong></td>
            <td>
                <?php  
                    echo $gtpC->name . '<br />';
                    echo $gtpU->name->fl . '<br />';
                    echo $gtpU->address->email . '<br />';
                    echo $gtpU->address->zip . '<br />';
                    echo $gtpU->address->phoneFormatted;
                    echo $gtpC->website . '<br />';
                ?>
            </td>
            <td>
                <button class="btn btn-primary" onclick="window.location.href='<?php  echo $view->action('edit'); ?>'"><?php  echo t('Edit'); ?></button>
            </td>
        </tr>
        <tr>
            <td><strong><?php  echo t('Payment'); ?></strong></td>
            <td>
            <?php  if($card) {
                echo t('Card ending in ') . $card->last4 . '<br />';
                echo t('Expiration: ') . $card->month . "/" . $card->year;
                } else {
                    echo t('You have no card on file.');
                }
            ?>
            </td>
            <td>
                <a class="btn btn-primary" href="<?php  echo $gtpU->url->creditcard; ?>"><?php  echo t('Update Card'); ?></button>
            </td>
        </tr>
        <tr>
            <td><strong><?php  echo t('Unlink'); ?></strong></td>
            <td><?php  echo t('Remove the connection from this website%sto your grouptext.pro account.%sYour account will remain active and no data will be lost.%sThis simply disconnects this website from interacting with your account.%sYou can always reconnect this website at a later time.','<br />','<br />','<br />','<br />'); ?></td>
            <td>
                <a class="btn btn-danger" href="#" onclick="unlinkAccount(); return false;"><?php  echo t('Unlink Account'); ?></button>
            </td>
        </tr>
    </table>

        
    <script type="text/javascript">
    
    function unlinkAccount() {
        if(confirm('<?php  echo t('Are you sure you want to unlink this account?'); ?>')) {
            window.location.href='<?php  echo $view->action('unlink'); ?>';
        }
    }

    function planCancel() {
        if(confirm("<?php  echo t('Are you sure you want to cancel your account?'); ?>")) {
            window.location.href='<?php  echo $view->action('cancel'); ?>';
        }
    }
    </script>