<?php  
    defined('C5_EXECUTE') or die("Access Denied.");

    $gtp->outputDashboardStatusBar();
    ?>

    <div class="row">
        <div class="col-sm-8">
            <a href="<?php  echo $view->action(''); ?>" class="btn btn-primary"><?php  echo t('Back To Contacts'); ?></a>
        </div>
        <div class="col-sm-4 text-right">
            <a href="<?php  echo $view->action('edit',$contact->id); ?>" class="btn btn-success"><?php  echo t('Edit Contact'); ?></a>&nbsp;
            <a href="#" onclick="deleteContact(); return false;" class="btn btn-danger"><?php  echo t('Delete Contact'); ?></a>&nbsp;
        </div>
    </div>

    <h3 class="page-header">Contact Details</h3>
    <dl class="dl-horizontal">
        <dt>Phone</dt>
        <dd><?php  echo $contact->phoneFormatted; ?></dd>
        <dt>Name</dt>
        <dd><?php  echo $contact->names->fl; ?></dd>
        <dt>Organization</dt>
        <dd><?php  echo $contact->organization; ?></dd>
    </dl>

<?php 
    $tabs = array(array('messages', t('Messages'), true));
    $tabs[] = array('groups', t('Groups'));
    print Loader::helper('concrete/ui')->tabs($tabs);

?>
    
    <div class="ccm-tab-content" id="ccm-tab-content-messages" data-container="editable-fields">        
        <?php  if(!count($messages)) { ?>
        <p><?php  echo t('This contact has not yet received any messages.'); ?></p>
        <?php  } else { ?>
        <table class="table table-striped">
            <tbody>
            <?php  foreach($messages AS $m) { ?>
                <tr>
                    <td><?php  echo date("Y M d g:ia",$m->times->sendTimeLocal); ?></td>
                    <td><a href="<?php  echo View::url('dashboard/grouptextpro/messages/message/'.$m->id); ?>"><?php  echo nl2br($m->message); ?></a></td>
                </tr>
            <?php  } ?>
            </tbody>
        </table>
        <?php  } ?>
    </div>

    
    <div class="ccm-tab-content" id="ccm-tab-content-groups" data-container="editable-fields">

        <ul class="nav nav-pills nav-stacked">
            <p class="muted"><?php  echo t('Click a group to join/leave. Groups will highlight in blue if the contact is a member.'); ?></p>    
            <?php  foreach($contact->groups AS $group) { ?>
                <li id="group<?php  echo $group->id; ?>" <?php  if($group->in) { ?> class="active"<?php  } ?>><a href="#" onclick="toggleGroup(<?php  echo $group->id; ?>); return false;"><?php  echo $group->name; ?></a></li>
            <?php  } ?>            
        </ul>
    </div>

    <script type="text/javascript">
    function toggleGroup(id) {
        el = $('#group'+id);
        if(el.hasClass('active')) {
            el.removeClass('active');
        } else {
            el.addClass('active');
        }
        $.getJSON(
            '<?php  echo Url::to('grouptextpro/ajax'); ?>',
            {
                what: 'group-toggle',
                id: id,
                contactID: '<?php  echo $contact->id; ?>',
            },
            function(data) {
                if(data.success) {
                }
            }
        );                
    }

    function deleteContact(id) {
        if(confirm('<?php  echo t('Are you sure you want to delete this contact?'); ?>')) {
            $.getJSON(
                '<?php  echo Url::to('grouptextpro/ajax'); ?>',
                {
                    what: 'contact-delete',
                    id: '<?php  echo $contact->id; ?>'
                },
                function(data) {
                    if(data.success) {
                        window.location.href='<?php  echo View::url('dashboard/grouptextpro/contacts'); ?>';
                    } else {
                        alert(data.msg);
                    }
                }
            )            
        }
    }
    
    </script>
