<?php  
    defined('C5_EXECUTE') or die("Access Denied.");

    $gtp->outputDashboardStatusBar();
    
    ?>

    <div class="row">
        <div class="col-sm-8">
            <p><?php  echo t('Every contact is a potential recipient of your messages. Even if a contact is in multiple groups, it will only be listed here once.'); ?></p>
        </div>
        <div class="col-sm-4">
            <a href="<?php  echo $view->action('add'); ?>" class="btn btn-success pull-right"><?php  echo t('Add Contact'); ?></a>        
            <a href="<?php  echo $view->action('import'); ?>" class="btn btn-success pull-right"><?php  echo t('Import Contacts'); ?></a>&nbsp;        
        </div>
    </div>

    <table class="table table-striped">
        <thead>
            <tr>
                <th><?php  echo t('Phone'); ?></th>
                <th><?php  echo t('Name'); ?></th>
                <th>&nbsp;</th>
            </tr>
        </thead>
        <tbody>
        <?php  
            if(count($contacts)) {
                foreach($contacts AS $ct) { ?>
                <tr id="contactRow<?php  echo $ct->id; ?>">
                    <td><a href="<?php  echo $view->action('contact',$ct->id); ?>"><?php  echo $ct->phoneFormatted; ?></a></td>
                    <td><?php  echo $ct->names->fl; ?></td>
                    <td>
                        <button class="btn btn-danger btn-mini" onclick="deleteContact(<?php  echo $ct->id; ?>);"><?php  echo t('Delete'); ?></button>
                    </td>
                </tr>
                <?php  }
            } else { ?>
                <tr>
                    <td colspan="3"><?php  echo t('You do not yet have any contacts.'); ?> <a href="<?php  echo $view->action('add'); ?>"><?php  echo t('Add one now'); ?></a> <?php  echo t('or'); ?> <a href="<?php  echo $view->action('import'); ?>"><?php  echo t('import from CSV'); ?></a>.</td>
                </tr>
                <?php 
            }
        ?>
        </tbody>
    </table>
        
    <script type="text/javascript">
    
    function deleteContact(id) {
        if(confirm('<?php  echo t('Are you sure you want to delete this contact?'); ?>')) {
            $('#contactRow'+id).hide();                                                        
            $.getJSON(
                "<?php  echo Loader::helper('concrete/urls')->getToolsURL('in','grouptextpro'); ?>",
                {
                    what: 'contact-delete',
                    id: id
                },
                function(data) {
                    if(data.success) {
                        data.contacts.forEach(function(element,index,array){
                            $('#contactRow'+element.id).hide();                                                        
                        })
                    } else {
                        data.contacts.forEach(function(element,index,array){
                            $('#contactRow'+element.id).show();                                                        
                        })
                        alert(data.msg);
                    }
                }
            )            
        }
    }

    </script>