<?php  
    defined('C5_EXECUTE') or die("Access Denied.");

    $gtp->outputDashboardStatusBar();
    ?>

    <div class="row">
        <div class="col-sm-8">
            <a href="<?php  echo $view->action(''); ?>" class="btn btn-primary"><?php  echo t('Back To Groups'); ?></a>
        </div>
        <div class="col-sm-4 text-right">
            <a href="#" onclick="deleteGroup(); return false;" class="btn btn-danger pull-right"><?php  echo t('Delete Group'); ?></a>&nbsp;
            <a href="<?php  echo $view->action('edit',$group->id); ?>" class="btn btn-success pull-right"><?php  echo t('Edit Group'); ?></a>&nbsp;        
        </div>
    </div>

    <h3 class="page-header">Group Details</h3>
    <dl class="dl-horizontal">
        <dt><?php  echo t('Name'); ?></dt>
        <dd><?php  echo $group->name; ?></dd>
        <dt><?php  echo t('Keyword'); ?></dt>
        <dd><?php  echo $group->keyword; ?></dd>
        <dt><?php  echo t('Welcome Message'); ?></dt>
        <dd><?php  echo $group->welcomeMessage; ?></dd>
    </dl>

<?php 
    $tabs = array(array('contacts-in', t('Contacts In Group'), true));
    $tabs[] = array('contacts-out', t('Contacts NOT In Group'));
    print Loader::helper('concrete/ui')->tabs($tabs);

?>
    
    <div class="ccm-tab-content" id="ccm-tab-content-contacts-in" data-container="editable-fields">        
        <table class="table" id="tblInGroup">
            <tbody>
            <?php  foreach($group->contacts->in AS $ct) { ?>
                <tr id="contactRow<?php  echo $ct->id; ?>">
                    <td><a href="<?php  echo View::url('dashboard/grouptextpro/contacts/contact/'.$ct->id); ?>"><?php  echo $ct->phoneFormatted; ?></a></td>
                    <td><?php  echo $ct->names->fl; ?></td>
                    <td>
                        <a class="btn btn-mini btn-danger btnLeave" href="#" onclick="leaveGroup(<?php  echo $ct->id; ?>); return false;"><?php  echo t('Leave Group'); ?></a>
                        <a class="btn btn-mini btn-success btnJoin" style="display: none;" href="#" onclick="joinGroup(<?php  echo $ct->id; ?>); return false;"><?php  echo t('Join Group'); ?></a>
                    </td>
                </tr>
            <?php  } ?>            
            </tbody>
        </table>
    </div>

    <div class="ccm-tab-content" id="ccm-tab-content-contacts-out" data-container="editable-fields">        

        <table class="table" id="tblNotInGroup">
            <tbody>
            <?php  foreach($group->contacts->out AS $ct) { ?>
                <tr id="contactRow<?php  echo $ct->id; ?>">
                    <td><a href="<?php  echo View::url('dashboard/grouptextpro/contacts/contact/'.$ct->id); ?>"><?php  echo $ct->phoneFormatted; ?></a></td>
                    <td><?php  echo $ct->names->fl; ?></td>
                    <td>
                        <a class="btn btn-mini btn-danger btnLeave" style="display: none;" href="#" onclick="leaveGroup(<?php  echo $ct->id; ?>); return false;"><?php  echo t('Leave Group'); ?></a>
                        <a class="btn btn-mini btn-success btnJoin" href="#" onclick="joinGroup(<?php  echo $ct->id; ?>); return false;"><?php  echo t('Join Group'); ?></a>
                    </td>
                </tr>
            <?php  } ?>            
            </tbody>
        </table>

    </div>
    
    <script type="text/javascript">
    
    function moveContactRowIn(contactID) {
        // move the row
        el = $('#contactRow'+contactID);
        $('#contactRow'+contactID+' a.btnLeave').show();
        $('#contactRow'+contactID+' a.btnJoin').hide();
        var tr = el.remove().clone();
        $("#tblInGroup tbody").prepend(tr);                
    }
    
    function moveContactRowOut(contactID) {
        // move the row
        el = $('#contactRow'+contactID);
        $('#contactRow'+contactID+' a.btnJoin').show();
        $('#contactRow'+contactID+' a.btnLeave').hide();
        var tr = el.remove().clone();
        $("#tblNotInGroup tbody").prepend(tr);                
    }

    function joinGroup(contactID) {
        moveContactRowIn(contactID);

        // submit the request
        $.getJSON(
            '<?php  echo URL::to('grouptextpro/ajax'); ?>',
            {
                what: 'group-join',
                id: '<?php  echo $group->id; ?>',
                contactID: contactID
            },
            function(data) {
                if(data.success) {

                } else {
                    moveContactRowIn(data.contactID);
                    alert(data.msg);
                }
            }
        );
    }

    function leaveGroup(contactID) {
        moveContactRowOut(contactID);

        // submit the request
        $.getJSON(
            '<?php  echo URL::to('grouptextpro/ajax'); ?>',
            {
                what: 'group-leave',
                id: '<?php  echo $group->id; ?>',
                contactID: contactID
            },
            function(data) {
                if(data.success) {

                } else {
                    moveContactRowIn(data.contactID);
                    alert(data.msg);
                }
            }
        );
    }

    function deleteGroup() {
        if(confirm("<?php  echo t('Are you sure you want to delete this group?'); ?>")) {
            $.getJSON(
            '<?php  echo URL::to('grouptextpro/ajax'); ?>',
                {
                    what: 'group-delete',
                    id: '<?php  echo $group->id; ?>'
                },
                function(data) {
                    if(data.success) {
                        window.location.href='<?php  echo View::url('dashboard/grouptextpro/groups'); ?>';
                    } else {
                        alert(data.msg);
                    }
                }
            );
        }
    }
    
    </script>
