<?php 

    defined('C5_EXECUTE') or die("Access Denied.");
    use \Concrete\Core\Http\Service\Json;
    
    switch($_REQUEST['what']) {
        
        case "send":        
            // is there a message?
            if(!strlen(trim($_REQUEST['message']))) { echo Json::encode(array("success"=>false,"msg"=>t("Please enter the message you wish to send."))); exit; }
            // are there groups to send to?
            if(!strlen(trim($_REQUEST['groupIDs']))) { echo Json::encode(array("success"=>false,"msg"=>t("Please select the group(s) you wish to send this message."))); exit; }
            // are there contacts to send to?
            $json = $api->contacts_list(array(
                "filterGroups"=>explode(",",$_REQUEST['groupIDs'])
            ));
            $contacts = $json->contacts;
            $numContacts = count($contacts);
            if(!$numContacts) { echo Json::encode(array("success"=>false,"msg"=>t("Please select groups that have contacts in them. Right now, there are no contacts to send this message to."))); exit; }
            
            // if in trial, do they have enough credits left?
            if($gtpC->is->trial) {
                $numTrialSendsRemaining = $gtpC->num->trialSendsRemaining;
                if($numContacts > $numTrialSendsRemaining) {

                    if($numContact<>1) {
                        $msg = t("This message includes %s contacts. You have only %s sends remaining. Please activate your account to send this message.",$numContacts,$numTrialSendsRemaining);
                    } else {
                        $msg = t("This message includes %s contact. You have only %s sends remaining. Please activate your account to send this message.",$numContacts,$numTrialSendsRemaining);
                    }
                    
                    echo Json::encode(array(
                        "success"=>false,
                        "msg"=>$msg
                    ));
                    exit;
                }
            }
            
            // get list of groups
            $groupNames = array();
            $selGroupIDs = explode(",",$_REQUEST['groupIDs']);
            foreach($gtpG AS $g) {
                if(in_array($g->id,$selGroupIDs)) {
                    $groupNames[] = $g->name;
                }
            }
            $groupNames = implode("<br />",$groupNames);
            
            // get send time UTC (we set the default timezone to UTC in the parent file for tools calls)
            $sendTime = $_REQUEST['sendTime_dt'] . " " . $_REQUEST['sendTime_h'] . ":" . $_REQUEST['sendTime_m'] . " " . $_REQUEST['sendTime_a'];            
            $sendTimeLocal = new DateTime($sendTime, $gtp->getUserTimezone());
            $sendTimeUTC = clone $sendTimeLocal;
            $sendTimeUTC->setTimezone(new DateTimeZone('UTC'));
            $nowTimeLocal = new DateTime("now",$tzLocal);
            $sendInFuture = $sendTimeLocal > $nowTimeLocal;
            
            $fullMessage = $_REQUEST['message'] . $gtpC->message->appendText;
            
            if($_REQUEST['review']) {
                echo Json::encode(array(
                    'success'=>true,
                    'message'=>$fullMessage, 
                    'numContacts'=>$numContacts,
                    'groupNames'=>$groupNames,
                    'nowTimeLocal'=>$nowTimeLocal->format("F j, Y g:ia"),
                    'sendTimeLocal'=>$sendTimeLocal->format("F j, Y g:ia"),
                    'sendTimeUTC'=>$sendTimeUTC->format("F j, Y g:ia"),
                    'now'=>date("F j, Y g:ia",strtotime("now")),
                    'sendInFuture'=>$sendInFuture,
                ));            
            } else {

                $json = $api->message_send(array(
                    "message"=>$_REQUEST['message'],
                    "ids"=>$_REQUEST['groupIDs'],
                    "sendTimeUTC"=>$sendTimeUTC->getTimestamp(),
                ));
                
                if($json->status=="success") {
                    echo Json::encode(array(
                        'success'=>true,
                        'message'=>$json->message,
                    ));                    
                    
                } else {
                    echo Json::encode(array(
                        'success'=>false,
                        'msg'=>t('Sorry. We were unable to queue your message for sending. Please try again.'),
                    ));                    
                }
            }    
            exit;
            break;        
        
        
        case "shortUrl":
            $json = $api->shorturl_create(array(
                'longUrl'=>$_REQUEST['longUrl'],
            ));
            if($json->status=="success") {
                echo Json::encode(array(
                    "success"=>true,
                    "shortUrl"=>$json->shortUrl,
                    "longUrl"=>$json->longUrl
                ));                
            } else {
                echo Json::encode(array(
                    "success"=>false,
                    "msg"=>t("Sorry. We could not shorten your URL. Please try again.")
                ));                
            }
            break;
    }
