<?php   
    //namespace Concrete\Package\Grouptextpro\Helper;
    namespace Concrete\Package\Grouptextpro\Src;

    defined('C5_EXECUTE') or die("Access Denied.");
    use Config;
    use Loader;
    use Package;
    use View;
    use Session;
        
    class Tools {

        function saveConfig($id,$conf) {
            Config::save('grouptextpro.user.id',$id);
            Config::save('grouptextpro.user.conf',$conf);
        }
        
        function clearConfig() {
            \Core::make('grouptextpro/tools')->saveConfig(false,false);
        }
        
        function getCustomer() {
            return Session::get('grouptextpro.customer');            
        }
        
        function getUser() {
            return Session::get('grouptextpro.user');            
        }
        
        function getGroups() {
            return Session::get('grouptextpro.groups');            
        }

        function requireUserDetails() {
            $gtp = \Core::make('grouptextpro/tools');
            if(!$gtp->getCustomer() || !$gtp->getUser()) {
                $gtp->refreshUserDetails();
            }            
        }
        
        function refreshUserDetails() {
            $json = \Core::make('grouptextpro/api')->user_detail();
            Session::set('grouptextpro.customer',$json->customer);
            Session::set('grouptextpro.groups',$json->customer->groups);
            Session::set('grouptextpro.user',$json->user);
        }

        function outputDashboardStatusBar() {
            View::element("statusbar",array(),"grouptextpro"); //  $_file, $args, $_pkgHandle
        }
        
        /** returns DateTimeZone object **/
        function getUserTimezone() {
            $tzLocal = \Core::make('grouptextpro/tools')->getUser()->address->timeZone;
            $tzLocal = in_array($tzLocal, timezone_identifiers_list()) ? new \DateTimeZone($tzLocal) : date_default_timezone_get();
            return $tzLocal;            
        }
                
        function unlinkAccount() {
            \Core::make('grouptextpro/tools')->clearConfig();
        }
        
    }
